Aspose.BarCode for PHP via Java Installation

Aspose.BarCode for PHP via Java is a platform-independent API and can be used on any platform (Windows, Linux, etc.) where PHP and Java Bridge are installed.

System Requirements

  • Tomcat Server 8.0 or above installed.
  • PHP/JavaBridge is configured.
  • FastCGI is installed.
  • Downloaded Aspose.Barcode component.

Supported Platforms

  • PHP 5.x or 7.x
  • Java 1.8 or above

Installation

Method 1

  • Clone the Repository

    git clone git@github.com:asposemarketplace/Aspose-Barcode-Java-for-PHP.git

  • Setup the project using composer

    composer install

Method 2

  • In the composer.json file of your PHP project, add the following lines

    {    
        "require": {        
            "asposebarcode/aspose_barcode_java_for_php": "dev-master"    
        }
    }

  • Run the install command

    composer install